Title: wp-includes/rest-api/endpoints/class-wp-rest-icons-controller.php | Developer.WordPress.org

---

# File: wp-includes/rest-api/endpoints/class-wp-rest-icons-controller.php

 * method[WP_REST_Icons_Controller::get_collection_params()](https://developer.wordpress.org/reference/classes/wp_rest_icons_controller/get_collection_params/)
 * Retrieves the query params for the icons collection.
 * Used by [1 function](https://developer.wordpress.org/reference/classes/wp_rest_icons_controller/get_collection_params/#used-by)
   | Uses [1 function](https://developer.wordpress.org/reference/classes/wp_rest_icons_controller/get_collection_params/#uses)
   | Source: [wp-includes/rest-api/endpoints/class-wp-rest-icons-controller.php:245](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/rest-api/endpoints/class-wp-rest-icons-controller.php#L245-L249)
 * method[WP_REST_Icons_Controller::register_routes()](https://developer.wordpress.org/reference/classes/wp_rest_icons_controller/register_routes/)
 * Registers the routes for the objects of the controller.
 * Used by [0 functions](https://developer.wordpress.org/reference/classes/wp_rest_icons_controller/register_routes/#used-by)
   | Uses [3 functions](https://developer.wordpress.org/reference/classes/wp_rest_icons_controller/register_routes/#uses)
   | Source: [wp-includes/rest-api/endpoints/class-wp-rest-icons-controller.php:34](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/rest-api/endpoints/class-wp-rest-icons-controller.php#L34-L70)
 * method[WP_REST_Icons_Controller::get_items_permissions_check()](https://developer.wordpress.org/reference/classes/wp_rest_icons_controller/get_items_permissions_check/)
 * Checks whether a given request has permission to read icons.
 * Used by [1 function](https://developer.wordpress.org/reference/classes/wp_rest_icons_controller/get_items_permissions_check/#used-by)
   | Uses [5 functions](https://developer.wordpress.org/reference/classes/wp_rest_icons_controller/get_items_permissions_check/#uses)
   | Source: [wp-includes/rest-api/endpoints/class-wp-rest-icons-controller.php:78](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/rest-api/endpoints/class-wp-rest-icons-controller.php#L78-L97)
 * method[WP_REST_Icons_Controller::get_item_permissions_check()](https://developer.wordpress.org/reference/classes/wp_rest_icons_controller/get_item_permissions_check/)
 * Checks if a given request has access to read a specific icon.
 * Used by [0 functions](https://developer.wordpress.org/reference/classes/wp_rest_icons_controller/get_item_permissions_check/#used-by)
   | Uses [2 functions](https://developer.wordpress.org/reference/classes/wp_rest_icons_controller/get_item_permissions_check/#uses)
   | Source: [wp-includes/rest-api/endpoints/class-wp-rest-icons-controller.php:105](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/rest-api/endpoints/class-wp-rest-icons-controller.php#L105-L112)
 * method[WP_REST_Icons_Controller::get_items()](https://developer.wordpress.org/reference/classes/wp_rest_icons_controller/get_items/)
 * Retrieves all icons.
 * Used by [0 functions](https://developer.wordpress.org/reference/classes/wp_rest_icons_controller/get_items/#used-by)
   | Uses [3 functions](https://developer.wordpress.org/reference/classes/wp_rest_icons_controller/get_items/#uses)
   | Source: [wp-includes/rest-api/endpoints/class-wp-rest-icons-controller.php:120](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/rest-api/endpoints/class-wp-rest-icons-controller.php#L120-L129)
 * method[WP_REST_Icons_Controller::get_item()](https://developer.wordpress.org/reference/classes/wp_rest_icons_controller/get_item/)
 * Retrieves a specific icon.
 * Used by [0 functions](https://developer.wordpress.org/reference/classes/wp_rest_icons_controller/get_item/#used-by)
   | Uses [4 functions](https://developer.wordpress.org/reference/classes/wp_rest_icons_controller/get_item/#uses)
   | Source: [wp-includes/rest-api/endpoints/class-wp-rest-icons-controller.php:137](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/rest-api/endpoints/class-wp-rest-icons-controller.php#L137-L145)
 * method[WP_REST_Icons_Controller::get_icon()](https://developer.wordpress.org/reference/classes/wp_rest_icons_controller/get_icon/)
 * Retrieves a specific icon from the registry.
 * Used by [1 function](https://developer.wordpress.org/reference/classes/wp_rest_icons_controller/get_icon/#used-by)
   | Uses [3 functions](https://developer.wordpress.org/reference/classes/wp_rest_icons_controller/get_icon/#uses)
   | Source: [wp-includes/rest-api/endpoints/class-wp-rest-icons-controller.php:153](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/rest-api/endpoints/class-wp-rest-icons-controller.php#L153-L170)
 * method[WP_REST_Icons_Controller::prepare_item_for_response()](https://developer.wordpress.org/reference/classes/wp_rest_icons_controller/prepare_item_for_response/)
 * Prepare a raw icon before it gets output in a REST API response.
 * Used by [2 functions](https://developer.wordpress.org/reference/classes/wp_rest_icons_controller/prepare_item_for_response/#used-by)
   | Uses [2 functions](https://developer.wordpress.org/reference/classes/wp_rest_icons_controller/prepare_item_for_response/#uses)
   | Source: [wp-includes/rest-api/endpoints/class-wp-rest-icons-controller.php:179](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/rest-api/endpoints/class-wp-rest-icons-controller.php#L179-L197)
 * method[WP_REST_Icons_Controller::get_item_schema()](https://developer.wordpress.org/reference/classes/wp_rest_icons_controller/get_item_schema/)
 * Retrieves the icon schema, conforming to JSON Schema.
 * Used by [0 functions](https://developer.wordpress.org/reference/classes/wp_rest_icons_controller/get_item_schema/#used-by)
   | Uses [1 function](https://developer.wordpress.org/reference/classes/wp_rest_icons_controller/get_item_schema/#uses)
   | Source: [wp-includes/rest-api/endpoints/class-wp-rest-icons-controller.php:204](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/rest-api/endpoints/class-wp-rest-icons-controller.php#L204-L238)
 * class[WP_REST_Icons_Controller](https://developer.wordpress.org/reference/classes/wp_rest_icons_controller/)
 * Controller which provides a REST endpoint for the editor to read registered icons.
   For the time being, only core icons are available, which are defined in a single
   manifest file (wp-includes/assets/icon-library-manifest.php).
 * Used by [0 functions](https://developer.wordpress.org/reference/classes/wp_rest_icons_controller/#used-by)
   | Uses [1 function](https://developer.wordpress.org/reference/classes/wp_rest_icons_controller/#uses)
   | Source: [wp-includes/rest-api/endpoints/class-wp-rest-icons-controller.php:21](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/rest-api/endpoints/class-wp-rest-icons-controller.php#L21-L250)
 * method[WP_REST_Icons_Controller::__construct()](https://developer.wordpress.org/reference/classes/wp_rest_icons_controller/__construct/)
 * Constructs the controller.
 * Used by [1 function](https://developer.wordpress.org/reference/classes/wp_rest_icons_controller/__construct/#used-by)
   | Uses [0 functions](https://developer.wordpress.org/reference/classes/wp_rest_icons_controller/__construct/#uses)
   | Source: [wp-includes/rest-api/endpoints/class-wp-rest-icons-controller.php:26](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/rest-api/endpoints/class-wp-rest-icons-controller.php#L26-L29)